CentOS7.2升级安装PHP7

原创 cheny  2017-03-11 17:51  评论 0 条
摘要:

想升级下phpmyadmin到最新正式版4.6.6,然而运行新版phpmyadmin后报了个错,说我的php(版本貌似是5.46)版本低了,大写的嫌弃啊,看了下phpmyadmin官方文档:Current version compatible with PHP 5.5 to 7.1 and MySQL 5.5 and newer.好吧,就差那么一点点,升级吧,顺便升级到最新版的php7。捣扯了一番,发现不能直接升级php(或许因为我比较菜),于是结合php官方文档使用以下方式安装php7

想升级下phpmyadmin到最新正式版4.6.6,然而运行新版phpmyadmin后报了个错,说我的php(版本貌似是5.46)版本低了,大写的嫌弃啊,看了下phpmyadmin官方文档:Current version compatible with PHP 5.5 to 7.1 and MySQL 5.5 and newer.好吧,就差那么一点点,升级吧,顺便升级到最新版的php7。捣扯了一番,发现不能直接升级php(或许因为我比较菜),于是结合php官方文档使用以下方式安装php7:

删除旧版本php以及相关拓展和依赖:

rpm 安装 添加Php7 相应的 yum源:

yum安装 php7:

安装php7和mysql数据库驱动:

安装 mbstring拓展:

安装fpm:

开启php-fpm服务:


OK,结束了。

本文地址:http://icheny.cn/centos7-2%e5%8d%87%e7%ba%a7%e5%ae%89%e8%a3%85php7/
关注我们:加我微信:扫描二维码乘月网的微信号,微信号:ausboyue
版权声明:本文为原创文章,版权归 cheny 所有,欢迎分享本文,转载请保留出处!

发表评论


表情